FUSER(1)

IME
fuser - procese identificira preko datoteka i utičnica

UPORABA
fuser [-fuv] [-a|-s] [-4|-6] [-c|-m|-n space] [ -k [-i] [-M] [-w] [-SIGNAL] ] name ...
fuser -l
fuser -V

OPIS
fuser pokaže PID-ove procesa koji koriste navedene datoteke ili datotečne sustave. U zadanom načinu prikaza, iza svakog imena datoteke slijedi slovo koje označava vrstu pristupa:

    c   tekući direktorij.
    e   pokrenuti izvršni program.
    f   otvorena datoteka. f je izostavljen u zadanom načinu prikaza.
    F   datoteka otvorena za pisanje. f je izostavljen u zadanom načinu prikaza.
    r   korijenski (root) direktorij.
    m   pridružena mmap datoteka ili zajednička knjižnica.
    .   Rezervirano mjesto (izostavljeno u zadanom načinu prikaza).

fuser vrati kôd različit od nule ako ne može pristupiti nijednoj od navedenih datoteka ili u slučaju fatalne pogreške. Ako je ostvaren barem jedan pristup, fuser vrati nulu.

Da se pronađu procesi koji koriste TCP i UDP utičnice, odgovarajući imenski prostor mora biti odabran opcijom -n. Zadano, fuser pregleda IPv6 i IPv4 utičnice. Zadano ponašanje možete promijeniti s opcijama -4 i -6. Utičnic(a/e) može/mogu biti specificiran(a/e) s lokalnim i udaljenim portom ili udaljenom adresom. Sva polja nisu obavezna ali zarezi ispred polja kojih nema su obvezni:

[lcl_port][,[rmt_host][,[rmt_port]]]

Za IP adrese i brojeve porta mogu se koristiti simboličke ili numeričke vrijednosti.

fuser ispiše samo PID-ove na stdout, a sve ostalo ide na stderr.

OPCIJE

-a, --all
    Prikaže sve datoteke navedene na naredbenom retku. Zadano, pokazane su samo one datoteke kojima je pristupio barem jedan proces.

-c  Isto kao opcija -m (zbog kompatibilnosti s POSIX-om).

-f  Zanemareno (zbog kompatibilnosti s POSIX-om).

-k, --kill
    Ubije procese koji pristupaju datoteci. Ako se ne promijeni s -SIGNAL, pošalje se SIGKILL. fuser proces se nikada ne ubije, ali može ubiti druge fuser procese. Efektivni ID korisnika procesa koji izvršava fuser postavlja se na realni korisnički ID prije pokušaja ubijanja.

-i, --interactive
    Pita korisnika da potvrdu prije nego ubije proces. Ova opcija je prešutno zanemarena ako opcija -k nije navedena.

-I, --inode
    Za imenski prostor file radi sve usporedbe bazirane na inodima navedenih datoteka a nikada na bazi imena datoteka uključujući i mrežne datotečne sustave.

-l, --list-signals
    Ispiše imena svih poznatih signala.

-m NAME, --mount NAME
    NAME specificira datoteku na montiranom datotečnom sustavu ili blok uređaj koji je montiran. Izlistani su svi procesi koji pristupaju datotekama u tom datotečnom sustavu. Ako je naveden direktorij, automatski se premjesti u NAME/ i koristi bilo koji datotečni sustav koji se može montirati na taj direktorij.

-M, --ismountpoint
    Zahtjev će se ispuniti samo ako NAME navede točku montiranja. Ovo je iznimno važno jer sprječava da ubijete stroj ako kojim slučajem NAME nije datotečni sustav.

-w  Ubije samo procese koji mogu pisati. Ova se opcija prešutno zanemari ako -k nije naveden.

-n NAMESPACE, --namespace NAMESPACE
    Odabire drugi imenski prostor. Podržani su imenski prostori file (zadano, imena datoteka), udp (lokalni UDP portovi) i tcp (lokalni TCP portovi). Za portove se mogu navesti ili broj porta ili simboličko ime. Ako nema višeznačnosti, može se koristiti oznaka prečaca name/space (npr. 80/tcp).

-s, --silent
    Prešutna operacija. -u and -v se zanemare u ovom načinu rada. -a se ne smije koristiti istovremeno s -s.

-SIGNAL
    Koristite navedeni signal umjesto SIGKILL za ubijanje. Signali se mogu navesti imenom (npr. -HUP) ili brojem (npr. -1). Ova se opcija prešutno zanemari ako se ne koristi s opcijom -k.

-u, --user
    Pripoji ime korisnika od vlasnika procesa svakom PID-u.

-v, --verbose
    Opširni način. Procesi su pokazani u stilu sličnom ps. Polja PID, USER i COMMAND slična su ps. ACCESS prikaže kako proces pristupa datoteci. Opširni način također prikaže kada se određenoj datoteci pristupi kao točki montiranja, kao knfs izvozu ili kao swap datoteci. U ovom se slučaju umjesto PID-a prikaže kernel.

-V, --version
    Pokaže informacije o inačici.

-4, --ipv4
    Traži samo IPv4 utičnice. Ova se opcija ne smije koristiti s opcijom -6 i ima utjecaj samo na tcp i udp imenske prostore.

-6, --ipv6
    Traži samo IPv6 utičnice. Ova se opcija ne smije koristiti s opcijom -4 i ima utjecaj samo na tcp i udp imenske prostore.

FILES

/proc
    lokacija proc datotečnog sustava

PRIMJERI

fuser -km /home
    ubije sve procese koji na bilo koji način pristupaju k /home datotečnom sustavu.

if fuser -s /dev/ttyS1; then :; else command; fi
    pozove command ako nijedan drugi proces ne koristi /dev/ttyS1.

fuser telnet/tcp
    pokaži sve procese na (lokalnom) TELNET portu.

OGRANIČENJA
Procesi koji pristupaju istoj datoteci ili istom datotečnom sustavu na isti način nekoliko puta, pokazani su samo jednom.

Ako je isti objekt naveden nekoliko puta na naredbenom retku, onda se neki od tih objekata mogu zanemariti.

fuser može prikupiti djelomične informacije ukoliko nije pokrenut s privilegijama. Kao posljedica toga, datoteke koje su otvorili procesi koji pripadaju drugim korisnicima možda neće biti popisane, a izvršne datoteke mogu se klasificirati samo kao mapirane.

fuser ne može izvještavati ni o kakvim procesima za koje nema dozvolu pogledati tablicu deskriptora datoteke. Najčešće, ovaj problem se javlja kada se traže TCP ili UDP utičnice a fuser se pokrene kao nekorijenski korisnik. U tom slučaju fuser neće prijaviti pristup.

Instaliranjem fuser SUID root izbjeći će se problemi povezani s djelomičnim informacijama, ali to može biti nepoželjno radi sigurnosti i privatnosti.

Imenski prostori udp i tcp i utičnice UNIX domene nije moguće pretraživati s jezgrom (kernel) starijom od 1.3.78.

Pristupi jezgri (kernel) pokazani su samo s opcijom -v.

Opcija -k radi samo na procesima. Ako je korisnik jezgra, fuser će ispisati preporuku i ništa drugo neće poduzeti.

fuser neće blokirati montiranje uređaja procesu u drugom imenskom prostoru. To je zato, jer je ID uređaja prikazan datotečnim deskriptorom procesa, a ne od ID fuser-a; ne podudaraju se.

BUGS

fuser -m /dev/sgX pokazat će (ili ubiti s -k) sve procese, čak i ako taj uređaj nije konfiguriran. Možda postoje i drugi uređaji za koje to isto čini.

Opcija montiranja -m podudarat će se s bilo kojom datotekom na istom uređaju kao i navedena datoteka, upotrijebite i opciju -M ako mislite navesti samo točku montiranja.

POGLEDAJTE TAKOĐER
kill(1), killall(1), lsof(8), mount_namespaces(7), pkill(1), ps(1), kill(2).